/*============================================================================
  File:     Complete-New-Subscription.sql

  Summary:  Complete the new subscription and
			drop the old one

  Date:     June 2008

  SQL Server Versions:
		10.0.1600.22 (SS2008 RTM)
------------------------------------------------------------------------------
  Written By Paul S. Randal, SQLskills.com
  All rights reserved.

  For more scripts and sample code, check out 
    http://www.SQLskills.com

  You may alter this code for your own *non-commercial* purposes. You may
  republish altered code as long as you give due credit.
  
  THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF 
  ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED 
  TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
  PARTICULAR PURPOSE.
============================================================================*/

:CONNECT (local)\SQLDEV01

USE TicketOrdersWA;
GO

-- Complete the new subscription
EXEC sp_addpushsubscription_agent 
	@publication              = N'TicketOrders', 
	@subscriber               = N'CHICAGO\SQLDEV02', 
	@subscriber_db            = N'TicketOrdersWA', 
	@job_login                = NULL, 
	@job_password             = NULL, 
	@subscriber_security_mode = 1, 
	@frequency_type           = 64, 
	@dts_package_location     = N'Distributor';
GO

-- Remove the old subscription
EXEC sp_dropsubscription
	@publication    = N'TicketOrders',
	@subscriber     = N'CHICAGO\SQLDEV01',
	@destination_db = N'TicketOrdersWA',
	@article        = N'all';
GO



